Bug 481721 - kwin_x11 compositor screen freeze (regression from kwin 5)
Summary: kwin_x11 compositor screen freeze (regression from kwin 5)
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: compositing (show other bugs)
Version: 5.93.0
Platform: Other Linux
: NOR major
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: qt6
: 482029 482168 482930 (view as bug list)
Depends on:
Blocks:
 
Reported: 2024-02-23 12:00 UTC by Bruno Pitrus
Modified: 2024-03-11 02:35 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.1


Attachments
KWin Log During Freeze (29.56 KB, text/plain)
2024-02-29 14:17 UTC, Rich Johnson
Details
KWin Log During Freeze (2.72 KB, text/x-log)
2024-02-29 14:27 UTC, Rich Johnson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Pitrus 2024-02-23 12:00:12 UTC
SUMMARY
Since updating to plasma 6, kwin_x11 compositor has started to randomly hang (entire screen freezes but reacts to clicks). Sometimes the hang goes away after a few seconds, other times pressing Alt-Shift-F12 to disable the compositor is the only way to regain a usable desktop.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: openSUSE Tumbleweed 20240221
(available in About System)
KDE Plasma Version: 5.93.0
KDE Frameworks Version: 5.249.0
Qt Version: 6.6.2

ADDITIONAL INFORMATION
1. backtrace of all threads obtained by sending SIGQUIT to kwin_x11 during a hang
2. output of `qdbus-qt5 org.kde.KWin /KWin org.kde.KWin.supportInformation`
Comment 1 Bruno Pitrus 2024-02-23 12:02:45 UTC
+thread apply all backtrace

Thread 27 (Thread 0x7f2d3a0006c0 (LWP 23911)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa16784bc8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa16784bc8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa16784bc8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa16784b70, cond=0x55fa16784ba0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa16784ba0, mutex=mutex@entry=0x55fa16784b70) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa16784b70, cond=0x55fa16784ba0) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13ea10f0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 26 (Thread 0x7f2d1be006c0 (LWP 33953)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x7f2d612a35d0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x7f2d612a35d0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f2d612a35d0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f2d612a3578, cond=0x7f2d612a35a8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x7f2d612a35a8, mutex=mutex@entry=0x7f2d612a3578) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x7f2d612a3578, cond=0x7f2d612a35a8) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x7f2c9c0256a0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 25 (Thread 0x7f2d38c006c0 (LWP 23913)):
+backtrace
#0  0x00007f2d80d0578f in __GI___poll (fds=0x55fa13ed6c80, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f2d80515aff in g_main_context_poll_unlocked (priority=<optimized out>, n_fds=1, fds=0x55fa13ed6c80, timeout=<optimized out>, context=0x7f2c7c000c60) at ../glib/gmain.c:4653
#2  g_main_context_iterate_unlocked (context=context@entry=0x7f2c7c000c60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4344
#3  0x00007f2d8051620c in g_main_context_iteration (context=0x7f2c7c000c60, may_block=1) at ../glib/gmain.c:4414
#4  0x00007f2d817a330c in QEventDispatcherGlib::processEvents (this=0x7f2c7c000b70, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#5  0x00007f2d81591cbb in QEventLoop::exec (this=0x7f2d38bffa60, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:34
#6  0x00007f2d81666a44 in QThread::exec (this=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:74
#7  0x00007f2d816e5779 in operator() (__closure=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:324
#8  (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:260
#9  QThreadPrivate::start (arg=0x55fa13b91f50) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:283
#10 0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#11 0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 24 (Thread 0x7f2d20a006c0 (LWP 33952)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x7f2c9c004758) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x7f2c9c004758, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f2c9c004758, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f2c9c004700, cond=0x7f2c9c004730) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x7f2c9c004730, mutex=mutex@entry=0x7f2c9c004700) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x7f2c9c004700, cond=0x7f2c9c004730) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x7f2c9c05e300) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 23 (Thread 0x7f2d60c006c0 (LWP 23896)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa13b678c8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa13b678c8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa13b678c8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa13b67870, cond=0x55fa13b678a0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa13b678a0, mutex=mutex@entry=0x55fa13b67870) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa13b67870, cond=0x55fa13b678a0) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa14bd3eb0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 22 (Thread 0x7f2d214006c0 (LWP 33951)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa16be9c60) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa16be9c60, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa16be9c60, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa16be9c10, cond=0x55fa16be9c38) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=0x55fa16be9c38, mutex=0x55fa16be9c10) at pthread_cond_wait.c:618
#5  0x00007f2d816e381b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa16be9c10) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qwaitcondition_unix.cpp:103
#6  QWaitCondition::wait (this=this@entry=0x55fa14dfbc58, mutex=mutex@entry=0x55fa14dfbc50, deadline=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qwaitcondition_unix.cpp:181
#7  0x00007f2d83c34d78 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=<optimized out>) at /usr/src/debug/qtdeclarative-everywhere-src-6.6.2/src/quick/scenegraph/qsgthreadedrenderloop.cpp:197
#8  QSGRenderThread::processEventsAndWaitForMore (this=0x55fa14dfbba0) at /usr/src/debug/qtdeclarative-everywhere-src-6.6.2/src/quick/scenegraph/qsgthreadedrenderloop.cpp:841
#9  QSGRenderThread::run (this=0x55fa14dfbba0) at /usr/src/debug/qtdeclarative-everywhere-src-6.6.2/src/quick/scenegraph/qsgthreadedrenderloop.cpp:963
#10 0x00007f2d816e5779 in operator() (__closure=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:324
#11 (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:260
#12 QThreadPrivate::start (arg=0x55fa14dfbba0) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:283
#13 0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#14 0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 21 (Thread 0x7f2d3be006c0 (LWP 23907)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa167eb7c8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa167eb7c8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa167eb7c8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa167eb770, cond=0x55fa167eb7a0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa167eb7a0, mutex=mutex@entry=0x55fa167eb770) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa167eb770, cond=0x55fa167eb7a0) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13931ef0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 20 (Thread 0x7f2d424006c0 (LWP 23910)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa136415f8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa136415f8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa136415f8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa136415a0, cond=0x55fa136415d0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa136415d0, mutex=mutex@entry=0x55fa136415a0) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa136415a0, cond=0x55fa136415d0) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa1551d5a0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 19 (Thread 0x7f2d53e006c0 (LWP 10303)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa1665d698) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa1665d698, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa1665d698, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa1665d640, cond=0x55fa1665d670) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa1665d670, mutex=mutex@entry=0x55fa1665d640) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa1665d640, cond=0x55fa1665d670) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13e657b0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 18 (Thread 0x7f2d534006c0 (LWP 10304)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x7f2d62a595d0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x7f2d62a595d0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f2d62a595d0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f2d62a59578, cond=0x7f2d62a595a8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x7f2d62a595a8, mutex=mutex@entry=0x7f2d62a59578) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x7f2d62a59578, cond=0x7f2d62a595a8) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa14395690) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 17 (Thread 0x7f2d5a6006c0 (LWP 23897)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa1562d278) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa1562d278, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa1562d278, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa1562d220, cond=0x55fa1562d250) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa1562d250, mutex=mutex@entry=0x55fa1562d220) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa1562d220, cond=0x55fa1562d250) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13e41320) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 16 (Thread 0x7f2d3aa006c0 (LWP 23908)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa169bbac0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa169bbac0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa169bbac0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa169bba68, cond=0x55fa169bba98) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa169bba98, mutex=mutex@entry=0x55fa169bba68) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa169bba68, cond=0x55fa169bba98) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa14072c30) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 15 (Thread 0x7f2d396006c0 (LWP 23912)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa1694d990) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa1694d990, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa1694d990, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa1694d938, cond=0x55fa1694d968) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa1694d968, mutex=mutex@entry=0x55fa1694d938) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa1694d938, cond=0x55fa1694d968) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa14cdcb20) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 14 (Thread 0x7f2d42e006c0 (LWP 23909)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa13b08b28) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa13b08b28, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa13b08b28, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa13b08ad0, cond=0x55fa13b08b00) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa13b08b00, mutex=mutex@entry=0x55fa13b08ad0) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa13b08ad0, cond=0x55fa13b08b00) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13a9e640) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 13 (Thread 0x7f2d416006c0 (LWP 23898)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa1680ad58) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa1680ad58, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa1680ad58, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa1680ad00, cond=0x55fa1680ad30) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa1680ad30, mutex=mutex@entry=0x55fa1680ad00) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa1680ad00, cond=0x55fa1680ad30) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13e417b0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 12 (Thread 0x7f2d52a006c0 (LWP 23893)):
+backtrace
#0  0x00007f2d80d0578f in __GI___poll (fds=0x7f2d7000ac30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f2d80515aff in g_main_context_poll_unlocked (priority=<optimized out>, n_fds=1, fds=0x7f2d7000ac30, timeout=<optimized out>, context=0x7f2d04000c60) at ../glib/gmain.c:4653
#2  g_main_context_iterate_unlocked (context=context@entry=0x7f2d04000c60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4344
#3  0x00007f2d8051620c in g_main_context_iteration (context=0x7f2d04000c60, may_block=1) at ../glib/gmain.c:4414
#4  0x00007f2d817a330c in QEventDispatcherGlib::processEvents (this=0x7f2d04002c00, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#5  0x00007f2d81591cbb in QEventLoop::exec (this=0x7f2d529ffa60, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:34
#6  0x00007f2d81666a44 in QThread::exec (this=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:74
#7  0x00007f2d816e5779 in operator() (__closure=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:324
#8  (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:260
#9  QThreadPrivate::start (arg=0x55fa13647670) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:283
#10 0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#11 0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 11 (Thread 0x7f2d62a006c0 (LWP 10292)):
+backtrace
#0  0x00007f2d80d0578f in __GI___poll (fds=0x7f2d700080e0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f2d80515aff in g_main_context_poll_unlocked (priority=<optimized out>, n_fds=1, fds=0x7f2d700080e0, timeout=<optimized out>, context=0x7f2d44000c60) at ../glib/gmain.c:4653
#2  g_main_context_iterate_unlocked (context=context@entry=0x7f2d44000c60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4344
#3  0x00007f2d8051620c in g_main_context_iteration (context=0x7f2d44000c60, may_block=1) at ../glib/gmain.c:4414
#4  0x00007f2d817a330c in QEventDispatcherGlib::processEvents (this=0x7f2d44000b70, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#5  0x00007f2d81591cbb in QEventLoop::exec (this=0x7f2d629ffa60, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:34
#6  0x00007f2d81666a44 in QThread::exec (this=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:74
#7  0x00007f2d816e5779 in operator() (__closure=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:324
#8  (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:260
#9  QThreadPrivate::start (arg=0x55fa13d437a0) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:283
#10 0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#11 0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 10 (Thread 0x7f2d40c006c0 (LWP 23899)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa16710260) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa16710260, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa16710260, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa16710208, cond=0x55fa16710238) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa16710238, mutex=mutex@entry=0x55fa16710208) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa16710208, cond=0x55fa16710238) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13eaa2f0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 9 (Thread 0x7f2d592006c0 (LWP 10302)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa14c1fbc8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa14c1fbc8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa14c1fbc8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa14c1fb70, cond=0x55fa14c1fba0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa14c1fba0, mutex=mutex@entry=0x55fa14c1fb70) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa14c1fb70, cond=0x55fa14c1fba0) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa141ddce0) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 8 (Thread 0x7f2d59c006c0 (LWP 10301)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa13d43a88) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa13d43a88, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa13d43a88, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa13d43a30, cond=0x55fa13d43a60) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa13d43a60, mutex=mutex@entry=0x55fa13d43a30) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa13d43a30, cond=0x55fa13d43a60) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa154aa830) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 7 (Thread 0x7f2d634006c0 (LWP 10279)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x7f2d75c8a5d0) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x7f2d75c8a5d0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x7f2d75c8a5d0, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f2d75c8a578, cond=0x7f2d75c8a5a8) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x7f2d75c8a5a8, mutex=mutex@entry=0x7f2d75c8a578) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x7f2d75c8a578, cond=0x7f2d75c8a5a8) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa1349be10) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 6 (Thread 0x7f2d7dc006c0 (LWP 10272)):
+backtrace
#0  0x00007f2d80d0578f in __GI___poll (fds=0x55fa133f46a0, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f2d80515aff in g_main_context_poll_unlocked (priority=<optimized out>, n_fds=3, fds=0x55fa133f46a0, timeout=<optimized out>, context=0x7f2d78000c80) at ../glib/gmain.c:4653
#2  g_main_context_iterate_unlocked (context=context@entry=0x7f2d78000c80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4344
#3  0x00007f2d8051620c in g_main_context_iteration (context=0x7f2d78000c80, may_block=1) at ../glib/gmain.c:4414
#4  0x00007f2d817a330c in QEventDispatcherGlib::processEvents (this=0x7f2d78000b70, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#5  0x00007f2d81591cbb in QEventLoop::exec (this=0x7f2d7dbffa10, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:34
#6  0x00007f2d81666a44 in QThread::exec (this=this@entry=0x7f2d82e58b80 <_ZZN13QGlobalStaticIN14QtGlobalStatic6HolderIN12_GLOBAL__N_116Q_QGS__q_managerEEEE8instanceEvE6holder.lto_priv.0>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:74
#7  0x00007f2d82dd3cfa in QDBusConnectionManager::run (this=0x7f2d82e58b80 <_ZZN13QGlobalStaticIN14QtGlobalStatic6HolderIN12_GLOBAL__N_116Q_QGS__q_managerEEEE8instanceEvE6holder.lto_priv.0>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/dbus/qdbusconnection.cpp:131
#8  0x00007f2d816e5779 in operator() (__closure=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:324
#9  (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:260
#10 QThreadPrivate::start (arg=0x7f2d82e58b80 <_ZZN13QGlobalStaticIN14QtGlobalStatic6HolderIN12_GLOBAL__N_116Q_QGS__q_managerEEEE8instanceEvE6holder.lto_priv.0>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:283
#11 0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#12 0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 5 (Thread 0x7f2d752006c0 (LWP 10275)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa1359863c) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa1359863c, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa1359863c, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa135985e0, cond=0x55fa13598610) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa13598610, mutex=mutex@entry=0x55fa135985e0) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa135985e0, cond=0x55fa13598610) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13597a80) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 4 (Thread 0x7f2d63e006c0 (LWP 10278)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa13509f88) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa13509f88, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa13509f88, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa13509f30, cond=0x55fa13509f60) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa13509f60, mutex=mutex@entry=0x55fa13509f30) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa13509f30, cond=0x55fa13509f60) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa13498440) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 3 (Thread 0x7f2d7d2006c0 (LWP 10273)):
+backtrace
#0  0x00007f2d80d0578f in __GI___poll (fds=fds@entry=0x7f2d7d1ff968, nfds=nfds@entry=1, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f2d849158aa in poll (__timeout=-1, __nfds=1, __fds=0x7f2d7d1ff968) at /usr/include/bits/poll2.h:39
#2  _xcb_conn_wait (c=c@entry=0x55fa134025d0, vector=vector@entry=0x0, count=count@entry=0x0, cond=<optimized out>) at /usr/src/debug/libxcb-1.16/src/xcb_conn.c:510
#3  0x00007f2d8491741c in _xcb_conn_wait (count=0x0, vector=0x0, cond=0x55fa13402610, c=0x55fa134025d0) at /usr/src/debug/libxcb-1.16/src/xcb_conn.c:476
#4  xcb_wait_for_event (c=0x55fa134025d0) at /usr/src/debug/libxcb-1.16/src/xcb_in.c:703
#5  0x00007f2d7dd8ecc0 in QXcbEventQueue::run (this=0x55fa133f9e90) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/plugins/platforms/xcb/qxcbeventqueue.cpp:192
#6  0x00007f2d816e5779 in operator() (__closure=<optimized out>) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:324
#7  (anonymous namespace)::terminate_on_exception<QThreadPrivate::start(void*)::<lambda()> > (t=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:260
#8  QThreadPrivate::start (arg=0x55fa133f9e90) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/thread/qthread_unix.cpp:283
#9  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#10 0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 2 (Thread 0x7f2d75c006c0 (LWP 10274)):
+backtrace
#0  0x00007f2d80c8effe in __futex_abstimed_wait_common64 (private=0, cancel=true, abstime=0x0, op=393, expected=0, futex_word=0x55fa135ab1d8) at futex-internal.c:57
#1  __futex_abstimed_wait_common (futex_word=futex_word@entry=0x55fa135ab1d8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0, cancel=cancel@entry=true) at futex-internal.c:87
#2  0x00007f2d80c8f09f in __GI___futex_abstimed_wait_cancelable64 (futex_word=futex_word@entry=0x55fa135ab1d8, expected=expected@entry=0, clockid=clockid@entry=0, abstime=abstime@entry=0x0, private=private@entry=0) at futex-internal.c:139
#3  0x00007f2d80c91d40 in __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55fa135ab180, cond=0x55fa135ab1b0) at pthread_cond_wait.c:503
#4  ___pthread_cond_wait (cond=cond@entry=0x55fa135ab1b0, mutex=mutex@entry=0x55fa135ab180) at pthread_cond_wait.c:618
#5  0x00007f2d75f0f41b in cnd_wait (mtx=0x55fa135ab180, cond=0x55fa135ab1b0) at ../src/c11/impl/threads_posix.c:135
#6  util_queue_thread_func (input=input@entry=0x55fa1359f520) at ../src/util/u_queue.c:290
#7  0x00007f2d75f04687 in impl_thrd_routine (p=<optimized out>) at ../src/c11/impl/threads_posix.c:67
#8  0x00007f2d80c92bb2 in start_thread (arg=<optimized out>) at pthread_create.c:447
#9  0x00007f2d80d1400c in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:78

Thread 1 (Thread 0x7f2d7e105480 (LWP 10271)):
+backtrace
#0  0x00007f2d80d0578f in __GI___poll (fds=0x55fa14569e10, nfds=3, timeout=2417) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f2d80515aff in g_main_context_poll_unlocked (priority=<optimized out>, n_fds=3, fds=0x55fa14569e10, timeout=<optimized out>, context=0x7f2d78000ef0) at ../glib/gmain.c:4653
#2  g_main_context_iterate_unlocked (context=context@entry=0x7f2d78000ef0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4344
#3  0x00007f2d8051620c in g_main_context_iteration (context=0x7f2d78000ef0, may_block=1) at ../glib/gmain.c:4414
#4  0x00007f2d817a330c in QEventDispatcherGlib::processEvents (this=0x55fa13491280, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/kernel/qeventdispatcher_glib.cpp:393
#5  0x00007f2d81591cbb in QEventLoop::exec (this=0x7fff5d125590, flags=...) at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:34
#6  0x00007f2d8158b8e6 in QCoreApplication::exec () at /usr/src/debug/qtbase-everywhere-src-6.6.2/src/corelib/global/qflags.h:74
#7  0x000055fa12c340c0 in main (argc=<optimized out>, argv=0x7fff5d125938) at /usr/src/debug/kwin-5.93.0/src/main_x11.cpp:460
Comment 2 Bruno Pitrus 2024-02-23 12:04:02 UTC
Informacje o wsparciu dla KWin:
Pytając  na np. https://discuss.kde.org użyj wyświetlanych tu danych.
Dostarczają one informacji o obecnie uruchomionym wystąpieniu, o opcjach, które są używane,
o używanym sterowniku OpenGL i o włączonych efektach.
Proszę wysłać te informacje, pod tekstem wprowadzenia, przy użyciu usługi paste bin
takiej jak https://paste.kde.org, aby nie zaśmiecać wątku.

==========================

Version
=======
KWin version: 5.93.0
Qt Version: 6.6.2
Qt compile version: 6.6.2
XCB compile version: 1.16

Operation Mode: X11 only

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_X11_XCB: yes
HAVE_GLX: yes

X11
===
Vendor: The X.Org Foundation
Vendor Release: 12101011
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.oxygen
Theme: 
Plugin recommends border size: No
onAllDesktopsAvailable: false
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0, 2
decorationButtonsRight: 6, 3, 4, 5
borderSize: 3
gridUnit: 12
font: Trebuchet MS,12,-1,5,600,0,0,0,0,0,0,0,0,0,0,1,Semibold
smallSpacing: 3
largeSpacing: 12

Output backend
==============
Name: KWin::X11StandaloneBackend

Cursor
======
themeName: DMZ-White
themeSize: 32

Options
=======
focusPolicy: ClickToFocus
xwaylandCrashPolicy: 1
xwaylandMaxCrashCount: 3
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
activeMouseScreen: true
placement: 5
activationDesktopPolicy: SwitchToOtherDesktop
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: false
focusStealingPreventionLevel: 1
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: MouseRaise
commandActiveTitlebar2: MouseNothing
commandActiveTitlebar3: MouseOperationsMenu
commandInactiveTitlebar1: MouseActivateAndRaise
commandInactiveTitlebar2: MouseActivate
commandInactiveTitlebar3: MouseOperationsMenu
commandWindow1: MouseActivateRaiseAndPassClick
commandWindow2: MouseActivateAndPassClick
commandWindow3: MouseActivateAndPassClick
commandWindowWheel: MouseNothing
commandAll1: MouseUnrestrictedMove
commandAll2: MouseToggleRaiseAndLower
commandAll3: MouseUnrestrictedResize
keyCmdAllModKey: 16777250
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
compositingMode: 1
useCompositing: true
hiddenPreviews: 1
glSmoothScale: 2
glStrictBinding: true
glStrictBindingFollowsDriver: true
glPreferBufferSwap: AutoSwapStrategy
glPlatformInterface: 1
windowsBlockCompositing: true
allowTearing: true

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 75
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Active screen follows mouse:  yes
Number of Screens: 3

Screen 0:
---------
Name: DP3
Enabled: 1
Geometry: 1920,958,3840x2160
Scale: 1
Refresh Rate: 60000
Adaptive Sync: incapable
Screen 1:
---------
Name: eDP1
Enabled: 1
Geometry: 0,2474,1920x1080
Scale: 1
Refresh Rate: 59998
Adaptive Sync: incapable
Screen 2:
---------
Name: DP1
Enabled: 1
Geometry: 5760,0,2160x3840
Scale: 1
Refresh Rate: 59996
Adaptive Sync: incapable

Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel
OpenGL renderer string: Mesa Intel(R) UHD Graphics (CML GT2)
OpenGL version string: 4.6 (Compatibility Profile) Mesa 23.3.6
OpenGL platform interface: GLX
OpenGL shading language version string: 4.60
Driver: Intel
GPU class: Comet Lake
OpenGL version: 4.6
GLSL version: 4.60
Mesa version: 23.3.6
X server version: 1.21.1
Linux kernel version: 6.7.5
Direct rendering: Requires strict binding: yes
Virtual Machine:  no
OpenGL 2 Shaders are used

Loaded Effects:
---------------
trackmouse
screenshot
outputlocator
colorpicker
screenedge
mousemark
contrast
login
sessionquit
logout
translucency
windowaperture
slide
maximize
scale
morphingpopups
squash
fullscreen
frozenapp
fadingpopups
dimscreen
dialogparent
windowview
tileseditor
overview
highlightwindow
blendchanges
startupfeedback
kscreen

Currently Active Effects:
-------------------------
contrast

Effect Settings:
----------------
trackmouse:
modifiers: 
mousePolling: true

screenshot:

outputlocator:

colorpicker:

screenedge:

mousemark:
width: 3
color: #ff0000
modifiers: 
modifiers: 

contrast:

login:
pluginId: login
isActiveFullScreenEffect: false

sessionquit:
pluginId: sessionquit
isActiveFullScreenEffect: false

logout:
pluginId: logout
isActiveFullScreenEffect: false

translucency:
pluginId: translucency
isActiveFullScreenEffect: false

windowaperture:
pluginId: windowaperture
isActiveFullScreenEffect: false

slide:
horizontalGap: 45
verticalGap: 20
slideBackground: true

maximize:
pluginId: maximize
isActiveFullScreenEffect: false

scale:
pluginId: scale
isActiveFullScreenEffect: false

morphingpopups:
pluginId: morphingpopups
isActiveFullScreenEffect: false

squash:
pluginId: squash
isActiveFullScreenEffect: false

fullscreen:
pluginId: fullscreen
isActiveFullScreenEffect: false

frozenapp:
pluginId: frozenapp
isActiveFullScreenEffect: false

fadingpopups:
pluginId: fadingpopups
isActiveFullScreenEffect: false

dimscreen:
pluginId: dimscreen
isActiveFullScreenEffect: false

dialogparent:
pluginId: dialogparent
isActiveFullScreenEffect: false

windowview:
activeView: 
delegate: 
animationDuration: 300
layout: 1
ignoreMinimized: false
mode: 
partialActivationFactor: 0
gestureInProgress: false
searchText: 
selectedIds: 

tileseditor:
activeView: 
delegate: 
animationDuration: 200

overview:
activeView: 
delegate: 
animationDuration: 300
layout: 1
ignoreMinimized: false
filterWindows: true
organizedGrid: true
overviewPartialActivationFactor: 0
overviewGestureInProgress: false
transitionPartialActivationFactor: 0
transitionGestureInProgress: false
gridPartialActivationFactor: 0
gridGestureInProgress: false
desktopOffset: 
searchText: 

highlightwindow:

blendchanges:

startupfeedback:
type: 1

kscreen:


Loaded Plugins:
---------------
krunnerintegration
nightcolor

Available Plugins:
------------------
BounceKeysPlugin
StickyKeysPlugin
buttonsrebind
krunnerintegration
nightcolor
screencast
Comment 3 Rich Johnson 2024-02-28 21:43:38 UTC
I have this same exact issue. The freeze just started today after updating to v6. I have only experienced it though I think when using a browser. Haven't noticed it happen when using Konsole. Anything you need me to do just let me know. Thanks!
Comment 4 Vlad Zahorodnii 2024-02-29 08:45:31 UTC
Does this happen on wayland session?
Comment 5 Bruno Pitrus 2024-02-29 10:04:54 UTC
(In reply to Vlad Zahorodnii from comment #4)
> Does this happen on wayland session?

the wayland session does not start for me at all. This is a hybrid Intel/Nvidia laptop fwiw so i'm not really interested in wayland at the moment.
Comment 6 kde-yyds 2024-02-29 10:36:30 UTC
The same for me when using intel igpu(uhd770). this does not happen with my amd igpu
Comment 7 Vlad Zahorodnii 2024-02-29 10:39:06 UTC
can you provide kwin logs when the screen freezes?
Comment 8 kde-yyds 2024-02-29 10:42:58 UTC
(In reply to Vlad Zahorodnii from comment #7)
> can you provide kwin logs when the screen freezes?

i will have to provide it after some days because my computer with intel igpu is at school.
Comment 9 Vlad Zahorodnii 2024-02-29 14:15:10 UTC
*** Bug 482029 has been marked as a duplicate of this bug. ***
Comment 10 Rich Johnson 2024-02-29 14:17:13 UTC
Created attachment 166190 [details]
KWin Log During Freeze

Here you go Vlad. This just happened. Did the KWin/Debugging stuff, fired up YouTube & started a video and a few seconds in I got the brief freeze. Anything else I can help with please let me know. As for if this happens in Wayland, I don't know. I use apps right now that don't have Wayland support so that's why I switched back to X11.
Comment 11 Vlad Zahorodnii 2024-02-29 14:20:48 UTC
That's the backtrace. The logs can be retrieved by running "journalctl --user-unit plasma-kwin_x11 --boot"
Comment 12 Vlad Zahorodnii 2024-02-29 14:21:15 UTC
if you've rebooted, adjust --boot argument
Comment 13 Rich Johnson 2024-02-29 14:27:03 UTC
Created attachment 166191 [details]
KWin Log During Freeze

Here you go Vlad. Thanks for looking in to this, I stink when it comes to X11.
Comment 14 Vlad Zahorodnii 2024-02-29 14:29:41 UTC
Did you set any custom environment variables?
Comment 15 Vlad Zahorodnii 2024-02-29 14:35:22 UTC
*** Bug 471136 has been marked as a duplicate of this bug. ***
Comment 16 Bug Janitor Service 2024-02-29 17:27:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/5332
Comment 17 Vlad Zahorodnii 2024-02-29 18:06:51 UTC
Git commit 0dc3f4906fd7cdaaeb740b2b29213acd5d2989fa by Vlad Zahorodnii.
Committed on 29/02/2024 at 17:58.
Pushed by vladz into branch 'master'.

opengl: Harden GLRenderTimeQuery against opengl providing bad timestamps

The end render timestamp can be slightly in the past before the start
render timestamp. This results in negative render times, which can make
kwin wait way more than just one vblank interval before starting the
next frame.

It appears that there is no way to detect if the gpu has performed a
disjoint operation in OpenGL. It's available only in GLES. As a way
around, this change makes the GLRenderTimeQuery insert two probes: one
queries gl timestamps when starting rendering and ending rendering;
another one just queries std::steady_clock before and after painting.
This hardens the GLRenderTimeQuery against OpenGL providing nonsensical
results sometimes.

M  +19   -23   src/opengl/glrendertimequery.cpp
M  +13   -3    src/opengl/glrendertimequery.h

https://invent.kde.org/plasma/kwin/-/commit/0dc3f4906fd7cdaaeb740b2b29213acd5d2989fa
Comment 18 Vlad Zahorodnii 2024-02-29 18:25:16 UTC
Git commit aa741db0e740cfc6df7561e1938fb90fed2b5b68 by Vlad Zahorodnii.
Committed on 29/02/2024 at 18:16.
Pushed by vladz into branch 'Plasma/6.0'.

opengl: Harden GLRenderTimeQuery against opengl providing bad timestamps

The end render timestamp can be slightly in the past before the start
render timestamp. This results in negative render times, which can make
kwin wait way more than just one vblank interval before starting the
next frame.

It appears that there is no way to detect if the gpu has performed a
disjoint operation in OpenGL. It's available only in GLES. As a way
around, this change makes the GLRenderTimeQuery insert two probes: one
queries gl timestamps when starting rendering and ending rendering;
another one just queries std::steady_clock before and after painting.
This hardens the GLRenderTimeQuery against OpenGL providing nonsensical
results sometimes.


(cherry picked from commit 0dc3f4906fd7cdaaeb740b2b29213acd5d2989fa)

M  +19   -23   src/opengl/glrendertimequery.cpp
M  +13   -3    src/opengl/glrendertimequery.h

https://invent.kde.org/plasma/kwin/-/commit/aa741db0e740cfc6df7561e1938fb90fed2b5b68
Comment 19 Rich Johnson 2024-03-01 17:13:49 UTC
*** Bug 482168 has been marked as a duplicate of this bug. ***
Comment 20 Nate Graham 2024-03-11 02:35:31 UTC
*** Bug 482930 has been marked as a duplicate of this bug. ***